## search-filename.ps1 - Lists all files and folder names matching a search pattern

This script serves as a quick Powershell replacement to the search functionality in Windows
After you pass in a root folder and a search term, the script will list all files and folders matching that phrase.

## Parameters
```powershell
/home/markus/Repos/PowerShell/Scripts/search-filename.ps1 [-path] <Object> [-term] <Object> [<CommonParameters>]

-path <Object>
    Specifies the path
    
    Required?                    true
    Position?                    1
    Default value                
    Accept pipeline input?       false
    Accept wildcard characters?  false

-term <Object>
    Specifies the search term
    
    Required?                    true
    Position?                    2
    Default value                
    Accept pipeline input?       false
    Accept wildcard characters?  false

[<CommonParameters>]
    This script supports the common parameters: Verbose, Debug, ErrorAction, ErrorVariable, WarningAction, 
    WarningVariable, OutBuffer, PipelineVariable, and OutVariable.
```

## Example
```powershell
PS> ./search-filename

```

## Notes
Author: Markus Fleschutz · License: CC0

## Related Links
https://github.com/fleschutz/PowerShell

*Generated by convert-ps2md.ps1 using the comment-based help of search-filename.ps1*
